| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::ThinPlateSplineShapeTransformer Class Referenceabstract
Shape Distance and Matching

Definition of the transformation. More...

`#include <opencv2/shape/shape_transformer.hpp>`

Collaboration diagram for cv::ThinPlateSplineShapeTransformer:

## Public Member Functions
virtual double | getRegularizationParameter () const =0
virtual void | setRegularizationParameter (double beta)=0
| Set the regularization parameter for relaxing the exact interpolation requirements of the TPS algorithm.
Public Member Functions inherited from cv::ShapeTransformer
virtual float | applyTransformation (InputArray input, OutputArray output=noArray())=0
| Apply a transformation, given a pre-estimated transformation parameters.
virtual void | estimateTransformation (InputArray transformingShape, InputArray targetShape, std::vector< DMatch > &matches)=0
| Estimate the transformation parameters of the current transformer algorithm, based on point matches.
virtual void | warpImage (InputArray transformingImage, OutputArray output, int flags=INTER_LINEAR, int borderMode=BORDER_CONSTANT, const Scalar &borderValue=Scalar()) const =0
| Apply a transformation, given a pre-estimated transformation parameters, to an Image.
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Definition of the transformation.

occupied in the paper "Principal Warps: Thin-Plate Splines and Decomposition of Deformations", by F.L. Bookstein (PAMI 1989). :

## Member Function Documentation

## ◆ getRegularizationParameter()

virtual double cv::ThinPlateSplineShapeTransformer::getRegularizationParameter | ( |  | ) | const
| pure virtual

Python:
| cv.ThinPlateSplineShapeTransformer.getRegularizationParameter( |  | ) -> | retval

## ◆ setRegularizationParameter()

virtual void cv::ThinPlateSplineShapeTransformer::setRegularizationParameter | ( | double | beta | ) |
| pure virtual

Python:
| cv.ThinPlateSplineShapeTransformer.setRegularizationParameter( | beta | ) -> | None

Set the regularization parameter for relaxing the exact interpolation requirements of the TPS algorithm.

Parameters

  beta | value of the regularization parameter.

The documentation for this class was generated from the following file:

- opencv2/shape/shape_transformer.hpp